### File

`packages/eui-dynamic-forms-ui/src/lib/shared/services/dyn-validations.service.ts`

### Index

###### Properties
defaultMessageMap validationsMap
###### Methods
setValidators

### Constructor

`constructor(dynConfigService: DynConfigService, translateService: TranslateService, i18nService: I18nService)`
Parameters :
Name | Type | Optional
dynConfigService | `DynConfigService` | No
translateService | `TranslateService` | No
i18nService | `I18nService` | No

### Methods

setValidators
`setValidators(control: AbstractControl, validators: Array, fieldInfo?: UxDynValidationFieldInfo)`
Parameters :
Name | Type | Optional
control | `AbstractControl` | No
validators | `Array<UxDynValidationMetaData | ValidatorFn>` | No
fieldInfo | `UxDynValidationFieldInfo` | Yes
Returns : `void`

### Properties

defaultMessageMap

validationsMap

# result-matching ""

# No results matching ""